> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# एजेंट बातचीत टिकट की सूची दें

GET https://api.elevenlabs.io/v1/convai/agents/{agent_id}/triage-tickets

एजेंट के बातचीत ट्रायेज टिकट सूचीबद्ध करें। प्राथमिकता के आधार पर सॉर्ट न किए जाने पर, सबसे हाल में बनाए गए टिकट पहले दिखते हैं। ये बातचीत में एजेंट के अपने प्रदर्शन के टिकट हैं (Architect के साथ ट्रायेज के लिए), न कि वे टिकट जो एजेंट एंड यूज़र के लिए खोलता है।

Reference: https://elevenlabs.io/docs/api-reference/triage-tickets/list

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `agent_id` (string, required)

### Query parameters

- `page_size` (integer, optional, default: 100) — कितने एजेंट बातचीत टिकट लौटाने हैं। 100 से ज़्यादा नहीं हो सकते।
- `conversation_id` (string, optional, nullable) — conversation id के अनुसार टिकट फ़िल्टर करें।
- `status` (enum, optional, nullable) — स्टेटस के अनुसार टिकट फ़िल्टर करें।
  - Allowed values: `open`, `in_progress`, `resolved`, `cancelled`, `merged`
- `sources` (list of enum, optional, nullable) — टिकट कैसे बनाए गए (qa, agent, manual), इसके अनुसार फ़िल्टर करें। कई स्रोतों के अनुसार फ़िल्टर करने के लिए पैरामीटर दोहराएं।
  - Allowed values: `qa`, `agent`, `manual`
- `priorities` (list of enum, optional, nullable) — टिकट को प्राथमिकता के आधार पर फ़िल्टर करें। कई प्राथमिकताओं के आधार पर फ़िल्टर करने के लिए पैरामीटर दोहराएं।
  - Allowed values: `low`, `medium`, `high`, `urgent`
- `sort_by` (enum, optional) — सबसे हाल में बनाए गए के अनुसार या प्राथमिकता के अनुसार क्रम दें (सबसे ज़रूरी पहले, फिर सबसे हाल में बनाए गए)।
  - Allowed values: `created_at`, `priority`
- `owner_user_id` (string, optional, nullable) — क्रिएटर के अनुसार टिकट फ़िल्टर करें। एजेंट द्वारा बनाए गए टिकट के लिए 'agent' इस्तेमाल करें।
- `assignee_user_id` (string, optional, nullable) — असाइनी के अनुसार टिकट फ़िल्टर करें। बिना असाइनी वाले टिकट के लिए 'unassigned' इस्तेमाल करें।
- `issue_type` (enum, optional, nullable) — समस्या के प्रकार के अनुसार क्लस्टर फ़िल्टर करें।
  - Allowed values: `knowledge_gap`, `incorrect_information`, `documentation_gap`, `product_feedback`, `platform_bug`, `tool_issue`, `missing_tool`, `unnecessary_escalation`, `wrong_action`
- `label` (string, optional, nullable) — सटीक लेबल के अनुसार टिकट फ़िल्टर करें।
- `merged_into_ticket_id` (string, optional, nullable) — इस टिकट में मर्ज किए गए टिकट फ़िल्टर करें।
- `search` (string, optional, nullable) — टिकट के शीर्षक, विवरण, टिप्पणियों और टर्न टिप्पणियों में केस-असंवेदी फ़्री-टेक्स्ट खोज।
- `cursor` (string, optional, nullable) — अगला पेज फ़ेच करने के लिए इस्तेमाल होता है। रिस्पॉन्स में cursor लौटाया जाता है।

## Response

### 200

सफल रिस्पॉन्स

- `agent_conversation_tickets` (list of AgentConversationTicketResponseModel, required)
- `has_more` (boolean, required)
- `next_cursor` (string, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

वैलिडेशन एरर

- `detail` (list of ValidationError, optional)

## Types

### AgentConversationTicketResponseModel

- `agentqa_ticket_id` (string, required)
- `workspace_id` (string, required)
- `owner_user_id` (string, required)
- `agent_id` (string, required)
- `needs_clustering` (boolean, required)
- `title` (string, required, nullable) — टिकट के लिए एक-पंक्ति का शीर्षक। None केवल उन टिकट पर होता है जो शीर्षकों के मौजूद होने से पहले बनाए गए थे।
- `issue_type` (enum, required, nullable)
  - Allowed values: `knowledge_gap`, `incorrect_information`, `documentation_gap`, `product_feedback`, `platform_bug`, `tool_issue`, `missing_tool`, `unnecessary_escalation`, `wrong_action`
- `labels` (list of string, required)
- `conversation_ids` (list of string, required)
- `first_seen_unix_secs` (integer, required, nullable)
- `last_seen_unix_secs` (integer, required, nullable)
- `qa_comment` (string, required, nullable)
- `ticket_comments` (list of TicketCommentResponseModel, required)
- `turn_comments` (list of TurnCommentResponseModel, required)
- `status` (enum, required)
  - Allowed values: `open`, `in_progress`, `resolved`, `cancelled`, `merged`
- `priority` (enum, required, nullable)
  - Allowed values: `low`, `medium`, `high`, `urgent`
- `priority_changes` (list of TicketPriorityChangeResponseModel, required)
- `status_changes` (list of TicketStatusChangeResponseModel, required)
- `source` (enum, required)
  - Allowed values: `qa`, `agent`, `manual`
- `assignee_user_id` (string, required, nullable)
- `created_at_unix_secs` (integer, required)
- `updated_at_unix_secs` (integer, required)
- `merged_into_ticket_id` (string, optional, nullable) — वह टिकट जिसमें इसे मर्ज किया गया था; इसका स्टेटस 'merged' होने पर यह सेट होता है।
- `search_match` (TicketSearchMatchResponseModel, optional, nullable) — जहाँ सूची की `search` क्वेरी मैच हुई। केवल खोजी गई सूचियों पर सेट होता है।

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### TicketCommentResponseModel

- `comment` (string, required)
- `created_at_unix_secs` (integer, required)
- `owner_user_id` (string, required, nullable)

### TurnCommentResponseModel

- `turn_index` (integer, required)
- `comment` (string, required)
- `created_at_unix_secs` (integer, required)
- `owner_user_id` (string, required, nullable)

### TicketPriorityChangeResponseModel

- `priority` (enum, required, nullable)
  - Allowed values: `low`, `medium`, `high`, `urgent`
- `changed_by_user_id` (string, required)
- `changed_at_unix_secs` (integer, required)

### TicketStatusChangeResponseModel

- `status` (enum, required)
  - Allowed values: `open`, `in_progress`, `resolved`, `cancelled`, `merged`
- `changed_by_user_id` (string, required, nullable)
- `changed_at_unix_secs` (integer, required)

### TicketSearchMatchResponseModel

- `field` (enum, required) — टिकट के किस टेक्स्ट से मैच हुआ।
  - Allowed values: `title`, `description`, `comment`, `turn_comment`
- `snippet` (string, required) — मैच के आसपास का व्हाइटस्पेस-संकुचित अंश, जहाँ काटा गया है वहाँ दीर्घविराम के साथ।
- `highlight_start` (integer, required) — `snippet` में मैच का ऑफ़सेट।
- `highlight_end` (integer, required) — `snippet` में मैच का एक्सक्लूसिव एंड ऑफ़सेट।
- `turn_index` (integer, optional, nullable) — टिप्पणी वाला टर्न, जो `field` के 'turn_comment' होने पर सेट किया जाता है।

### ValidationErrorLocItems

## Examples

**Response**

```json
{
  "agent_conversation_tickets": [
    {
      "agentqa_ticket_id": "string",
      "workspace_id": "string",
      "owner_user_id": "string",
      "agent_id": "string",
      "needs_clustering": true,
      "title": "string",
      "issue_type": "knowledge_gap",
      "labels": [
        "string"
      ],
      "conversation_ids": [
        "string"
      ],
      "first_seen_unix_secs": 1,
      "last_seen_unix_secs": 1,
      "qa_comment": "string",
      "ticket_comments": [
        {
          "comment": "string",
          "created_at_unix_secs": 1,
          "owner_user_id": "string"
        }
      ],
      "turn_comments": [
        {
          "turn_index": 1,
          "comment": "string",
          "created_at_unix_secs": 1,
          "owner_user_id": "string"
        }
      ],
      "status": "open",
      "priority": "low",
      "priority_changes": [
        {
          "priority": "low",
          "changed_by_user_id": "string",
          "changed_at_unix_secs": 1
        }
      ],
      "status_changes": [
        {
          "status": "open",
          "changed_by_user_id": "string",
          "changed_at_unix_secs": 1
        }
      ],
      "source": "qa",
      "assignee_user_id": "string",
      "created_at_unix_secs": 1,
      "updated_at_unix_secs": 1,
      "merged_into_ticket_id": "string",
      "search_match": {
        "field": "title",
        "snippet": "string",
        "highlight_start": 1,
        "highlight_end": 1,
        "turn_index": 1
      }
    }
  ],
  "has_more": true,
  "next_cursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/convai/agents/agent_id/triage-tickets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```